Subject: Re: Silly Week entry - Roswell UFO by Karl Branson
From: "Steve Bamford ARC" <[email-masked]>
To: "Karl Branson" <[email-masked]>
Date: Wed, 31 Dec 2003 02:18:54 -0800

Hi Karl,

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: Karl Branson 
  To: Steve Bamford - ARC 
  Sent: Wednesday, December 24, 2003 1:34 PM
  Subject: Silly Week entry - Roswell UFO by Karl Branson

  Gallery Template #03

  "1/48 Testors Roswell UFO" 

  by "Karl W Branson"
  --------------------

        Steve Bamford will insert full sized version of photo 01.jpg here 

  This is my model of the 1/48 Roswell UFO by Testors. I got this kit part built from eBay as I had been looking for one for some time - only to find a new one at IPMS Telford for half the eBay price! - Oh well. The main assembly had been done already but contained loads of gaps that required filling. Once this had been done it was time to paint it over all Humbrol gloss silver. This caused me no end of bother, for some reason my Badger 155 did not like to spray silver at all, but silver paint has been my life long enemy anyway ( I used to have a rusty silver car - every patch I fixed looked like a different shade! ) but back to the model. When the paint was dry all that was left to do was to install the crew compartment ( the pilot has a joy-stick - I thought they used ESP to control the ship ) and to apply the decals. The clear compartment cover had seen some misplaced glue action from the previous owner, but I managed to polish most of it out. 

  The Kit stand had been lost, but I replaced it with one that I picked up from IPMS Telford plus a polished metal rod that went through the original hole in the bottom of the ship.

  Enjoy.

  Karl.

        Click on images below to see larger images
       
         Steve Bamford will insert a click-able smaller version of photo 02.jpg here.  Clicking on that photo will bring up the full sized version of photo 02.jpg 

        Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 

  Photos and text © 2003 by "Karl W Branson"